Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid.oracle
Class OracleGeoRasterGridCoverageReader

    java.lang.Object
      org.deegree.model.coverage.grid.AbstractGridCoverageReader
          org.deegree.model.coverage.grid.oracle.OracleGeoRasterGridCoverageReader

All Implemented Interfaces:
  GridCoverageReader

    public class OracleGeoRasterGridCoverageReader

extends AbstractGridCoverageReader

Reader for Coverages stored in Oracle 10g GeoRaster format

Since:
  2.0
Version:
  $Revision: 21672 $, 1.0. $Revision: 21672 $, $Date: 2009-12-29 09:44:20 +0100 (Di, 29. Dez 2009) $
Author:
  Andreas Poth, Stephan Reichhelm, Eryk Lipski, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageReader
`description, envelope, format, source`

Constructor Summary
`OracleGeoRasterGridCoverageReader(GeoRasterDescription grDesc, CoverageOffering description, Envelope envelope, Format format)`

Method Summary
`void` | `dispose()` Allows any resources held by this object to be released.
`GridCoverage` | `read(GeneralParameterValueIm[] parameters)` reads a GridCoverage from a Oracle 10g GeoRaster

Methods inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageReader
`calcLonLatEnvelope, getCurrentSubname, getFormat, getMetadataNames, getMetadataValue, getSource, listSubNames, setCurrentSubname, setMetadataValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleGeoRasterGridCoverageReader

    public OracleGeoRasterGridCoverageReader(GeoRasterDescription grDesc,
                                             CoverageOffering description,
                                             Envelope envelope,
                                             Format format)

Parameters:
  `grDesc` -
  `description` -
  `envelope` -
  `format` -

Method Detail

### dispose

    public void dispose()
                 throws IOException

  Description copied from interface: `GridCoverageReader`
  Allows any resources held by this object to be released. The result of calling any other method subsequent to a call to this method is undefined. It is important for applications to call this method when they know they will no longer be using this `GridCoverageReader`. Otherwise, the reader may continue to hold on to resources indefinitely.

  Throws:
    `IOException` - if an error occured while disposing resources (for example while closing a file).

### read

    public GridCoverage read(GeneralParameterValueIm[] parameters)
                      throws InvalidParameterNameException,
                             InvalidParameterValueException,
                             ParameterNotFoundException,
                             IOException

  reads a GridCoverage from a Oracle 10g GeoRaster

  Parameters:
    `parameters` - -
  Returns:
    A new grid coverage from the input source.
  Throws:
    `InvalidParameterNameException` - if a parameter in `parameters` doesn't have a recognized name.
    `InvalidParameterValueException` - if a parameter in `parameters` doesn't have a valid value.
    `ParameterNotFoundException` - if a parameter was required for the operation but was not provided in the `parameters` list.
    `CannotCreateGridCoverageException` - if the coverage can't be created for a logical reason (for example an unsupported format, or an inconsistency found in the data).
    `IOException` - if a read operation failed for some other input/output reason, including `FileNotFoundException` if no file with the given `name` can be found, or `IIOException` if an error was thrown by the underlying image library.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org